+++
title = "How Big Is a Chunk?"
slug = "notes"
tags = ["chunk", "memory", "bit", "unit", "bibliography", "archive"]
description = "An interesting foundation for the notion of 'chunking' in memory and education research"
rss_title = "How Big Is a Chunk?"
rss_description = "An interesting foundation for the notion of 'chunking' in memory and education research"
rss_pubdate = Date(2023, 1, 7)
+++



How Big Is a Chunk?
=========

**Date:** January 7 2023

**Summary:** An interesting foundation for the notion of 'chunking' in memory and education research

**Keywords:** #chunk #memory #bit #unit ##bibliography #archive

Bibliography
==========

H. A. Simon, "How Big Is a Chunk? By combining data from several experiments, a basic human memory unit can be identified and measured.," Science, vol. 183, no. 4124, pp. 482–488, 1974.

Table of Contents
=========

\toc

### Reading Motivation

In reading a piece by Michael Nielsen on using spaced repetition to process mathematics [1], he referenced a concept called "chunking". I hadn't encountered this notion in education research before and thought it sounded interesting.  So, thus reading the paper.

### What Are Chunks?

Loosely based on [2], chunks are constructs which organize and group together units of information input into memory. These inputs can be of any form and the basic units could be things like phonemes in words, moves in chess, etc. that can then be recalled at once (a Bible verse, a Sicilian Defense, etc.). The material stored in a chunk is independent of how many chunks can be generated.

### Benefits of Chunk Generation

The memory span seems to be constrained by a fixed number of chunks (although this number varies wildly in the paper).  However, we can increase the information stored in memory by increasing the number of units belonging to each chunk. [2]

As regaled by Simon, an example of chunking in action is this:

> I tried to recall after one reading the following list of words: Lincoln, milky, criminal, differential, address, way, lawyer, calculus, Gettysburg. I had no success whatsoever. I should not have expected success, for the list exceeded my span of six or seven words. Then I rearranged the list a bit, as follows:
>
>   * Lincoln's Gettysburg Address
>   * Milky Way
>   * Criminal Lawyer
>   * Differential Calculus
>
> I had no difficulty at all


The variance between chunks and memory can be attributed to larger chunk sizes based on one's expertise with a material. [4]
## References:

[1] M. Nielsen, “Using spaced repetition systems to see through a piece of mathematics,” 2019. http://cognitivemedium.com/srs-mathematics

[2] G. A. Miller, “The magical number seven, plus or minus two: Some limits on our capacity for processing information.” Psychol. Rev., vol. 63, no. 2, p. 81, 1956.

[3] W. G. Chase and H. A. Simon, “The mind’s eye in chess,” in Visual information processing, Elsevier, 1973, pp. 215–281.

[4] H. A. Simon and W. G. Chase, “American scientist,” Scientist, vol. 61, no. 4, pp. 394–403, 1973.
